<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="New_List.aspx.cs" Inherits="RM.Web.Mall.Admin.New_List" %>

<%@ Register Src="/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_newlistMsg")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_newlistMsg")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right;">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
             
    </div>

    <div class="div-body">
        <%=wintable %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
    <script type="text/javascript">
        $(function () {
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 121);
        })
        function add() {
            var fid = "";
            if (QueryString("fid") != "") {
                fid = "?fid=" + QueryString("fid");
            }
            var url = "/Mall/Admin/New_Form.aspx" + fid;
            top.openDialog(url, 'New_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_newlistMsg")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 800, 490, 50, 50);
        }
        function edit() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            var fid = "";
            if (QueryString("fid") != "") {
                fid = "&fid=" + QueryString("fid");
            }
            if (IsEditdata(CheckboxValue())) {
                var url = "/Mall/Admin/New_Form.aspx?key=" + key + fid;
                top.openDialog(url, 'New_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_newlistMsg")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 800, 490, 50, 50);
            }
        }
        //删除
        function Delete() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsDelData(CheckboxValue())) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_newlistMsg")%>&tableName=Mall_News&pkName=N_ID&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        }
        //生成静态页面
        function createhtml() {
            var arrt = new Array();
            var url = window.location.host;
            var key = "";
            var str = "/Mall/Ninfo.aspx?nid="
            arrt = CheckboxValue().split(',');
            for (var i = 0; i < arrt.length; i++) {
                if (parseInt(i) + 1 == arrt.length) {
                    key += "http://" + url + str + arrt[i];
                } else {
                    key += "http://" + url + str + arrt[i] + ",";
                }
            }

            if (CheckboxValue()) {
                getAjax("CreateHtml.ashx", "key=" + key+"&other=news", function (rs) {
                    if (rs == "1") {
                        showTipsMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_jtsucc")%>', 1500, 4);
                        windowload();
                    } else {
                        showTipsMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_jtshibai")%>', 1500, 5);
                    }
                }
           );
            }
        }
    </script>
</body>
</html>
